## mx4j.tools.adaptor.rmi
Interface RemoteAdaptor

All Superinterfaces:
  Invocable, java.rmi.Remote

All Known Implementing Classes:
  RMIAdaptor

public interface RemoteAdaptor
extends Invocable, java.rmi.Remote

Remote interface for interceptor invocation style

Version:
  $Revision: 1.3 $

Method Summary
`java.lang.String` `getHostAddress()`
`java.lang.String` `getHostName()`

Methods inherited from interface mx4j.tools.adaptor.interceptor.Invocable
`invoke`

Method Detail

### getHostName

    public java.lang.String getHostName()
                                 throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getHostAddress

    public java.lang.String getHostAddress()
                                    throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

Copyright © 2001-2003 MX4J Team. All Rights Reserved.